package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TBusiHazEvainMapper;
import com.goldenwater.slaj.hazard.domain.TBusiHazEvain;
import com.goldenwater.slaj.hazard.service.ITBusiHazEvainService;

/**
 * 危险源评价内部 服务层实现
 */
@Service
public class TBusiHazEvainServiceImpl implements ITBusiHazEvainService {

    @Autowired
    private TBusiHazEvainMapper tBusiHazEvainMapper;

    /**
     * 查询危险源评价内部信息
     * @param guid 查询条件
     * @return 危险源评价内部信息
     */
    @Override
    public TBusiHazEvain selectTBusiHazEvainByGuid(String guid) {
        return tBusiHazEvainMapper.selectTBusiHazEvainByGuid(guid);
    }

    /**
     * 查询危险源评价内部列表
     * @param tBusiHazEvain 危险源评价内部查询条件
     * @return 危险源评价内部集合
     */
    @Override
    public List<TBusiHazEvain> selectTBusiHazEvainList(TBusiHazEvain tBusiHazEvain) {
        return tBusiHazEvainMapper.selectTBusiHazEvainList(tBusiHazEvain);
    }

    /**
     * 新增危险源评价内部
     * @param tBusiHazEvain 危险源评价内部信息
     * @return 影响行数
     */
    @Override
    public int insertTBusiHazEvain(TBusiHazEvain tBusiHazEvain) {
        return tBusiHazEvainMapper.insertTBusiHazEvain(tBusiHazEvain);
    }

    /**
     * 修改危险源评价内部
     * @param tBusiHazEvain 危险源评价内部信息
     * @return 影响行数
     */
    @Override
    public int updateTBusiHazEvain(TBusiHazEvain tBusiHazEvain) {
        return tBusiHazEvainMapper.updateTBusiHazEvain(tBusiHazEvain);
    }

    /**
     * 删除危险源评价内部
     * @param guid 危险源评价内部主键
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazEvainByGuid(String guid) {
        return tBusiHazEvainMapper.deleteTBusiHazEvainByGuid(guid);
    }

    /**
     * 批量删除危险源评价内部
     * @param guids 危险源评价内部主键数组
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazEvainByGuids(String[] guids) {
        return tBusiHazEvainMapper.deleteTBusiHazEvainByGuids(guids);
    }
}
